#include "strptime.bmx.debug.win32.x86.h"
struct BBDebugScope_1{int kind; const char *name; BBDebugDecl decls[2]; };
struct BBDebugScope_11{int kind; const char *name; BBDebugDecl decls[12]; };
BBINT database_core_strptime_dbStrptime(BBSTRING bbt_date,BBSTRING bbt_format,BBINT* bbt_y,BBINT* bbt_m,BBINT* bbt_d,BBINT* bbt_hh,BBINT* bbt_mm,BBINT* bbt_ss){
	BBINT bbt_b=0;
	BBINT bbt_c=0;
	BBINT bbt_p=0;
	struct BBDebugScope_11 __scope = {
		BBDEBUGSCOPE_FUNCTION,
		"dbStrptime",
		{
			{
				BBDEBUGDECL_LOCAL,
				"date",
				"$",
				.var_address=&bbt_date
			},
			{
				BBDEBUGDECL_LOCAL,
				"format",
				"$",
				.var_address=&bbt_format
			},
			{
				BBDEBUGDECL_VARPARAM,
				"y",
				"i",
				.var_address=&bbt_y
			},
			{
				BBDEBUGDECL_VARPARAM,
				"m",
				"i",
				.var_address=&bbt_m
			},
			{
				BBDEBUGDECL_VARPARAM,
				"d",
				"i",
				.var_address=&bbt_d
			},
			{
				BBDEBUGDECL_VARPARAM,
				"hh",
				"i",
				.var_address=&bbt_hh
			},
			{
				BBDEBUGDECL_VARPARAM,
				"mm",
				"i",
				.var_address=&bbt_mm
			},
			{
				BBDEBUGDECL_VARPARAM,
				"ss",
				"i",
				.var_address=&bbt_ss
			},
			{
				BBDEBUGDECL_LOCAL,
				"b",
				"i",
				.var_address=&bbt_b
			},
			{
				BBDEBUGDECL_LOCAL,
				"c",
				"i",
				.var_address=&bbt_c
			},
			{
				BBDEBUGDECL_LOCAL,
				"p",
				"i",
				.var_address=&bbt_p
			},
			{
				BBDEBUGDECL_END
			}
		}
	};
	bbOnDebugEnterScope((BBDebugScope *)&__scope);
	struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 35, 0};
	bbOnDebugEnterStm(&__stmt_0);
	bbt_b=0;
	struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 36, 0};
	bbOnDebugEnterStm(&__stmt_1);
	bbt_c=0;
	struct BBDebugStm __stmt_2 = {0x8dee47ee81c49251, 37, 0};
	bbOnDebugEnterStm(&__stmt_2);
	bbt_p=0;
	struct BBDebugStm __stmt_3 = {0x8dee47ee81c49251, 39, 0};
	bbOnDebugEnterStm(&__stmt_3);
	while(bbt_p<(bbt_format->length)){
		struct BBDebugScope __scope = {
			BBDEBUGSCOPE_LOCALBLOCK,
			0,
			{
				{
					BBDEBUGDECL_END
				}
			}
		};
		bbOnDebugEnterScope((BBDebugScope *)&__scope);
		struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 41, 0};
		bbOnDebugEnterStm(&__stmt_0);
		bbt_c=bbt_p;
		struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 42, 0};
		bbOnDebugEnterStm(&__stmt_1);
		bbt_p+=1;
		struct BBDebugStm __stmt_2 = {0x8dee47ee81c49251, 44, 0};
		bbOnDebugEnterStm(&__stmt_2);
		if((bbt_format)->buf[((BBUINT)bbt_c)]!=37){
			struct BBDebugScope __scope = {
				BBDEBUGSCOPE_LOCALBLOCK,
				0,
				{
					{
						BBDEBUGDECL_END
					}
				}
			};
			bbOnDebugEnterScope((BBDebugScope *)&__scope);
			struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 46, 0};
			bbOnDebugEnterStm(&__stmt_0);
			if(isspace((bbt_format)->buf[((BBUINT)bbt_c)])!=0){
				struct BBDebugScope __scope = {
					BBDEBUGSCOPE_LOCALBLOCK,
					0,
					{
						{
							BBDEBUGDECL_END
						}
					}
				};
				bbOnDebugEnterScope((BBDebugScope *)&__scope);
				struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 47, 0};
				bbOnDebugEnterStm(&__stmt_0);
				while((bbt_b<(bbt_date->length)) && (isspace((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
					struct BBDebugScope __scope = {
						BBDEBUGSCOPE_LOCALBLOCK,
						0,
						{
							{
								BBDEBUGDECL_END
							}
						}
					};
					bbOnDebugEnterScope((BBDebugScope *)&__scope);
					struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 48, 0};
					bbOnDebugEnterStm(&__stmt_0);
					bbt_b+=1;
					bbOnDebugLeaveScope();
				}
				bbOnDebugLeaveScope();
			}else{
				struct BBDebugScope __scope = {
					BBDEBUGSCOPE_LOCALBLOCK,
					0,
					{
						{
							BBDEBUGDECL_END
						}
					}
				};
				bbOnDebugEnterScope((BBDebugScope *)&__scope);
				struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 51, 0};
				bbOnDebugEnterStm(&__stmt_0);
				if((bbt_format)->buf[((BBUINT)bbt_c)]!=(bbt_date)->buf[((BBUINT)bbt_b)]){
					struct BBDebugScope __scope = {
						BBDEBUGSCOPE_LOCALBLOCK,
						0,
						{
							{
								BBDEBUGDECL_END
							}
						}
					};
					bbOnDebugEnterScope((BBDebugScope *)&__scope);
					struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 52, 0};
					bbOnDebugEnterStm(&__stmt_0);
					bbOnDebugLeaveScope();
					bbOnDebugLeaveScope();
					bbOnDebugLeaveScope();
					bbOnDebugLeaveScope();
					bbOnDebugLeaveScope();
					return 0;
				}
				struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 55, 0};
				bbOnDebugEnterStm(&__stmt_1);
				bbt_b+=1;
				bbOnDebugLeaveScope();
			}
			struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 59, 0};
			bbOnDebugEnterStm(&__stmt_1);
			bbOnDebugLeaveScope();
			bbOnDebugLeaveScope();
			continue;
		}
		struct BBDebugStm __stmt_3 = {0x8dee47ee81c49251, 63, 0};
		bbOnDebugEnterStm(&__stmt_3);
		bbt_c=bbt_p;
		struct BBDebugStm __stmt_4 = {0x8dee47ee81c49251, 64, 0};
		bbOnDebugEnterStm(&__stmt_4);
		bbt_p+=1;
		struct BBDebugStm __stmt_5 = {0x8dee47ee81c49251, 66, 0};
		bbOnDebugEnterStm(&__stmt_5);
		if(bbt_c>=(bbt_format->length)){
			struct BBDebugScope __scope = {
				BBDEBUGSCOPE_LOCALBLOCK,
				0,
				{
					{
						BBDEBUGDECL_END
					}
				}
			};
			bbOnDebugEnterScope((BBDebugScope *)&__scope);
			struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 67, 0};
			bbOnDebugEnterStm(&__stmt_0);
			bbOnDebugLeaveScope();
			bbOnDebugLeaveScope();
			bbOnDebugLeaveScope();
			return 0;
		}
		struct BBDebugStm __stmt_6 = {0x8dee47ee81c49251, 70, 0};
		bbOnDebugEnterStm(&__stmt_6);
		BBINT bbt_=(bbt_format)->buf[((BBUINT)bbt_c)];
		struct BBDebugStm __stmt_7 = {0x8dee47ee81c49251, 71, 0};
		bbOnDebugEnterStm(&__stmt_7);
		if(bbt_==37){
			struct BBDebugScope __scope = {
				BBDEBUGSCOPE_LOCALBLOCK,
				0,
				{
					{
						BBDEBUGDECL_END
					}
				}
			};
			bbOnDebugEnterScope((BBDebugScope *)&__scope);
			struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 72, 0};
			bbOnDebugEnterStm(&__stmt_0);
			if((bbt_date)->buf[((BBUINT)bbt_b)]!=37){
				struct BBDebugScope __scope = {
					BBDEBUGSCOPE_LOCALBLOCK,
					0,
					{
						{
							BBDEBUGDECL_END
						}
					}
				};
				bbOnDebugEnterScope((BBDebugScope *)&__scope);
				struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 73, 0};
				bbOnDebugEnterStm(&__stmt_0);
				bbOnDebugLeaveScope();
				bbOnDebugLeaveScope();
				bbOnDebugLeaveScope();
				bbOnDebugLeaveScope();
				return 0;
			}
			struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 76, 0};
			bbOnDebugEnterStm(&__stmt_1);
			bbOnDebugLeaveScope();
			bbOnDebugLeaveScope();
			continue;
		}else{
			struct BBDebugScope __scope = {
				BBDEBUGSCOPE_LOCALBLOCK,
				0,
				{
					{
						BBDEBUGDECL_END
					}
				}
			};
			bbOnDebugEnterScope((BBDebugScope *)&__scope);
			struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 77, 0};
			bbOnDebugEnterStm(&__stmt_0);
			if((bbt_==77) || (bbt_==83)){
				struct BBDebugScope __scope = {
					BBDEBUGSCOPE_LOCALBLOCK,
					0,
					{
						{
							BBDEBUGDECL_END
						}
					}
				};
				bbOnDebugEnterScope((BBDebugScope *)&__scope);
				struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 78, 0};
				bbOnDebugEnterStm(&__stmt_0);
				if((bbt_b<(bbt_date->length)) && !(isspace((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
					BBINT bbt_i=0;
					struct BBDebugScope_1 __scope = {
						BBDEBUGSCOPE_LOCALBLOCK,
						0,
						{
							{
								BBDEBUGDECL_LOCAL,
								"i",
								"i",
								.var_address=&bbt_i
							},
							{
								BBDEBUGDECL_END
							}
						}
					};
					bbOnDebugEnterScope((BBDebugScope *)&__scope);
					struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 80, 0};
					bbOnDebugEnterStm(&__stmt_0);
					if(!(isdigit((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 81, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						return 0;
					}
					struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 84, 0};
					bbOnDebugEnterStm(&__stmt_1);
					bbt_i=0;
					struct BBDebugStm __stmt_2 = {0x8dee47ee81c49251, 85, 0};
					bbOnDebugEnterStm(&__stmt_2);
					while((bbt_b<(bbt_date->length)) && (isdigit((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 86, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_i*=10;
						struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 87, 0};
						bbOnDebugEnterStm(&__stmt_1);
						bbt_i+=((bbt_date)->buf[((BBUINT)bbt_b)]-48);
						struct BBDebugStm __stmt_2 = {0x8dee47ee81c49251, 88, 0};
						bbOnDebugEnterStm(&__stmt_2);
						bbt_b+=1;
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_3 = {0x8dee47ee81c49251, 91, 0};
					bbOnDebugEnterStm(&__stmt_3);
					if(bbt_i>59){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 92, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						return 0;
					}
					struct BBDebugStm __stmt_4 = {0x8dee47ee81c49251, 95, 0};
					bbOnDebugEnterStm(&__stmt_4);
					if((bbt_format)->buf[((BBUINT)bbt_c)]==77){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 96, 0};
						bbOnDebugEnterStm(&__stmt_0);
						*bbt_mm=bbt_i;
						bbOnDebugLeaveScope();
					}else{
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 98, 0};
						bbOnDebugEnterStm(&__stmt_0);
						*bbt_ss=bbt_i;
						bbOnDebugLeaveScope();
					}
					bbOnDebugLeaveScope();
				}else{
					struct BBDebugScope __scope = {
						BBDEBUGSCOPE_LOCALBLOCK,
						0,
						{
							{
								BBDEBUGDECL_END
							}
						}
					};
					bbOnDebugEnterScope((BBDebugScope *)&__scope);
					struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 102, 0};
					bbOnDebugEnterStm(&__stmt_0);
					bbOnDebugLeaveScope();
					bbOnDebugLeaveScope();
					bbOnDebugLeaveScope();
					bbOnDebugLeaveScope();
					continue;
				}
				bbOnDebugLeaveScope();
			}else{
				struct BBDebugScope __scope = {
					BBDEBUGSCOPE_LOCALBLOCK,
					0,
					{
						{
							BBDEBUGDECL_END
						}
					}
				};
				bbOnDebugEnterScope((BBDebugScope *)&__scope);
				struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 104, 0};
				bbOnDebugEnterStm(&__stmt_0);
				if(bbt_==72){
					BBINT bbt_i2=0;
					struct BBDebugScope_1 __scope = {
						BBDEBUGSCOPE_LOCALBLOCK,
						0,
						{
							{
								BBDEBUGDECL_LOCAL,
								"i",
								"i",
								.var_address=&bbt_i2
							},
							{
								BBDEBUGDECL_END
							}
						}
					};
					bbOnDebugEnterScope((BBDebugScope *)&__scope);
					struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 106, 0};
					bbOnDebugEnterStm(&__stmt_0);
					if(!(isdigit((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 107, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						return 0;
					}
					struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 110, 0};
					bbOnDebugEnterStm(&__stmt_1);
					bbt_i2=0;
					struct BBDebugStm __stmt_2 = {0x8dee47ee81c49251, 111, 0};
					bbOnDebugEnterStm(&__stmt_2);
					while((bbt_b<(bbt_date->length)) && (isdigit((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 112, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbt_i2*=10;
						struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 113, 0};
						bbOnDebugEnterStm(&__stmt_1);
						bbt_i2+=((bbt_date)->buf[((BBUINT)bbt_b)]-48);
						struct BBDebugStm __stmt_2 = {0x8dee47ee81c49251, 114, 0};
						bbOnDebugEnterStm(&__stmt_2);
						bbt_b+=1;
						bbOnDebugLeaveScope();
					}
					struct BBDebugStm __stmt_3 = {0x8dee47ee81c49251, 117, 0};
					bbOnDebugEnterStm(&__stmt_3);
					if(bbt_i2>23){
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 118, 0};
						bbOnDebugEnterStm(&__stmt_0);
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						bbOnDebugLeaveScope();
						return 0;
					}
					struct BBDebugStm __stmt_4 = {0x8dee47ee81c49251, 121, 0};
					bbOnDebugEnterStm(&__stmt_4);
					*bbt_hh=bbt_i2;
					bbOnDebugLeaveScope();
				}else{
					struct BBDebugScope __scope = {
						BBDEBUGSCOPE_LOCALBLOCK,
						0,
						{
							{
								BBDEBUGDECL_END
							}
						}
					};
					bbOnDebugEnterScope((BBDebugScope *)&__scope);
					struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 123, 0};
					bbOnDebugEnterStm(&__stmt_0);
					if(bbt_==100){
						BBINT bbt_i3=0;
						struct BBDebugScope_1 __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_LOCAL,
									"i",
									"i",
									.var_address=&bbt_i3
								},
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 125, 0};
						bbOnDebugEnterStm(&__stmt_0);
						if(!(isdigit((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 126, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbOnDebugLeaveScope();
							bbOnDebugLeaveScope();
							bbOnDebugLeaveScope();
							bbOnDebugLeaveScope();
							bbOnDebugLeaveScope();
							bbOnDebugLeaveScope();
							bbOnDebugLeaveScope();
							return 0;
						}
						struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 129, 0};
						bbOnDebugEnterStm(&__stmt_1);
						bbt_i3=0;
						struct BBDebugStm __stmt_2 = {0x8dee47ee81c49251, 130, 0};
						bbOnDebugEnterStm(&__stmt_2);
						while((bbt_b<(bbt_date->length)) && (isdigit((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 131, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbt_i3*=10;
							struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 132, 0};
							bbOnDebugEnterStm(&__stmt_1);
							bbt_i3+=((bbt_date)->buf[((BBUINT)bbt_b)]-48);
							struct BBDebugStm __stmt_2 = {0x8dee47ee81c49251, 133, 0};
							bbOnDebugEnterStm(&__stmt_2);
							bbt_b+=1;
							bbOnDebugLeaveScope();
						}
						struct BBDebugStm __stmt_3 = {0x8dee47ee81c49251, 136, 0};
						bbOnDebugEnterStm(&__stmt_3);
						if(bbt_i3>31){
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 137, 0};
							bbOnDebugEnterStm(&__stmt_0);
							bbOnDebugLeaveScope();
							bbOnDebugLeaveScope();
							bbOnDebugLeaveScope();
							bbOnDebugLeaveScope();
							bbOnDebugLeaveScope();
							bbOnDebugLeaveScope();
							bbOnDebugLeaveScope();
							return 0;
						}
						struct BBDebugStm __stmt_4 = {0x8dee47ee81c49251, 140, 0};
						bbOnDebugEnterStm(&__stmt_4);
						*bbt_d=bbt_i3;
						bbOnDebugLeaveScope();
					}else{
						struct BBDebugScope __scope = {
							BBDEBUGSCOPE_LOCALBLOCK,
							0,
							{
								{
									BBDEBUGDECL_END
								}
							}
						};
						bbOnDebugEnterScope((BBDebugScope *)&__scope);
						struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 142, 0};
						bbOnDebugEnterStm(&__stmt_0);
						if(bbt_==109){
							BBINT bbt_i4=0;
							struct BBDebugScope_1 __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_LOCAL,
										"i",
										"i",
										.var_address=&bbt_i4
									},
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 144, 0};
							bbOnDebugEnterStm(&__stmt_0);
							if(!(isdigit((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
								struct BBDebugScope __scope = {
									BBDEBUGSCOPE_LOCALBLOCK,
									0,
									{
										{
											BBDEBUGDECL_END
										}
									}
								};
								bbOnDebugEnterScope((BBDebugScope *)&__scope);
								struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 145, 0};
								bbOnDebugEnterStm(&__stmt_0);
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								return 0;
							}
							struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 148, 0};
							bbOnDebugEnterStm(&__stmt_1);
							bbt_i4=0;
							struct BBDebugStm __stmt_2 = {0x8dee47ee81c49251, 149, 0};
							bbOnDebugEnterStm(&__stmt_2);
							while((bbt_b<(bbt_date->length)) && (isdigit((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
								struct BBDebugScope __scope = {
									BBDEBUGSCOPE_LOCALBLOCK,
									0,
									{
										{
											BBDEBUGDECL_END
										}
									}
								};
								bbOnDebugEnterScope((BBDebugScope *)&__scope);
								struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 150, 0};
								bbOnDebugEnterStm(&__stmt_0);
								bbt_i4*=10;
								struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 151, 0};
								bbOnDebugEnterStm(&__stmt_1);
								bbt_i4+=((bbt_date)->buf[((BBUINT)bbt_b)]-48);
								struct BBDebugStm __stmt_2 = {0x8dee47ee81c49251, 152, 0};
								bbOnDebugEnterStm(&__stmt_2);
								bbt_b+=1;
								bbOnDebugLeaveScope();
							}
							struct BBDebugStm __stmt_3 = {0x8dee47ee81c49251, 155, 0};
							bbOnDebugEnterStm(&__stmt_3);
							if((bbt_i4<1) || (bbt_i4>12)){
								struct BBDebugScope __scope = {
									BBDEBUGSCOPE_LOCALBLOCK,
									0,
									{
										{
											BBDEBUGDECL_END
										}
									}
								};
								bbOnDebugEnterScope((BBDebugScope *)&__scope);
								struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 156, 0};
								bbOnDebugEnterStm(&__stmt_0);
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								bbOnDebugLeaveScope();
								return 0;
							}
							struct BBDebugStm __stmt_4 = {0x8dee47ee81c49251, 159, 0};
							bbOnDebugEnterStm(&__stmt_4);
							*bbt_m=bbt_i4;
							bbOnDebugLeaveScope();
						}else{
							struct BBDebugScope __scope = {
								BBDEBUGSCOPE_LOCALBLOCK,
								0,
								{
									{
										BBDEBUGDECL_END
									}
								}
							};
							bbOnDebugEnterScope((BBDebugScope *)&__scope);
							struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 161, 0};
							bbOnDebugEnterStm(&__stmt_0);
							if(bbt_==89){
								struct BBDebugScope __scope = {
									BBDEBUGSCOPE_LOCALBLOCK,
									0,
									{
										{
											BBDEBUGDECL_END
										}
									}
								};
								bbOnDebugEnterScope((BBDebugScope *)&__scope);
								struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 162, 0};
								bbOnDebugEnterStm(&__stmt_0);
								if((bbt_b<(bbt_date->length)) && !(isspace((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
									BBINT bbt_i5=0;
									struct BBDebugScope_1 __scope = {
										BBDEBUGSCOPE_LOCALBLOCK,
										0,
										{
											{
												BBDEBUGDECL_LOCAL,
												"i",
												"i",
												.var_address=&bbt_i5
											},
											{
												BBDEBUGDECL_END
											}
										}
									};
									bbOnDebugEnterScope((BBDebugScope *)&__scope);
									struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 164, 0};
									bbOnDebugEnterStm(&__stmt_0);
									if(!(isdigit((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
										struct BBDebugScope __scope = {
											BBDEBUGSCOPE_LOCALBLOCK,
											0,
											{
												{
													BBDEBUGDECL_END
												}
											}
										};
										bbOnDebugEnterScope((BBDebugScope *)&__scope);
										struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 165, 0};
										bbOnDebugEnterStm(&__stmt_0);
										bbOnDebugLeaveScope();
										bbOnDebugLeaveScope();
										bbOnDebugLeaveScope();
										bbOnDebugLeaveScope();
										bbOnDebugLeaveScope();
										bbOnDebugLeaveScope();
										bbOnDebugLeaveScope();
										bbOnDebugLeaveScope();
										bbOnDebugLeaveScope();
										bbOnDebugLeaveScope();
										return 0;
									}
									struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 168, 0};
									bbOnDebugEnterStm(&__stmt_1);
									bbt_i5=0;
									struct BBDebugStm __stmt_2 = {0x8dee47ee81c49251, 169, 0};
									bbOnDebugEnterStm(&__stmt_2);
									while((bbt_b<(bbt_date->length)) && (isdigit((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
										struct BBDebugScope __scope = {
											BBDEBUGSCOPE_LOCALBLOCK,
											0,
											{
												{
													BBDEBUGDECL_END
												}
											}
										};
										bbOnDebugEnterScope((BBDebugScope *)&__scope);
										struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 170, 0};
										bbOnDebugEnterStm(&__stmt_0);
										bbt_i5*=10;
										struct BBDebugStm __stmt_1 = {0x8dee47ee81c49251, 171, 0};
										bbOnDebugEnterStm(&__stmt_1);
										bbt_i5+=((bbt_date)->buf[((BBUINT)bbt_b)]-48);
										struct BBDebugStm __stmt_2 = {0x8dee47ee81c49251, 172, 0};
										bbOnDebugEnterStm(&__stmt_2);
										bbt_b+=1;
										bbOnDebugLeaveScope();
									}
									struct BBDebugStm __stmt_3 = {0x8dee47ee81c49251, 175, 0};
									bbOnDebugEnterStm(&__stmt_3);
									*bbt_y=bbt_i5;
									bbOnDebugLeaveScope();
								}
								bbOnDebugLeaveScope();
							}
							bbOnDebugLeaveScope();
						}
						bbOnDebugLeaveScope();
					}
					bbOnDebugLeaveScope();
				}
				bbOnDebugLeaveScope();
			}
			bbOnDebugLeaveScope();
		}
		struct BBDebugStm __stmt_8 = {0x8dee47ee81c49251, 180, 0};
		bbOnDebugEnterStm(&__stmt_8);
		if((bbt_b<(bbt_date->length)) && (isspace((bbt_date)->buf[((BBUINT)bbt_b)])!=0)){
			struct BBDebugScope __scope = {
				BBDEBUGSCOPE_LOCALBLOCK,
				0,
				{
					{
						BBDEBUGDECL_END
					}
				}
			};
			bbOnDebugEnterScope((BBDebugScope *)&__scope);
			struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 181, 0};
			bbOnDebugEnterStm(&__stmt_0);
			while((bbt_p<(bbt_format->length)) && !(isspace((bbt_format)->buf[((BBUINT)bbt_p)])!=0)){
				struct BBDebugScope __scope = {
					BBDEBUGSCOPE_LOCALBLOCK,
					0,
					{
						{
							BBDEBUGDECL_END
						}
					}
				};
				bbOnDebugEnterScope((BBDebugScope *)&__scope);
				struct BBDebugStm __stmt_0 = {0x8dee47ee81c49251, 182, 0};
				bbOnDebugEnterStm(&__stmt_0);
				bbt_p+=1;
				bbOnDebugLeaveScope();
			}
			bbOnDebugLeaveScope();
		}
		bbOnDebugLeaveScope();
	}
	struct BBDebugStm __stmt_4 = {0x8dee47ee81c49251, 188, 0};
	bbOnDebugEnterStm(&__stmt_4);
	bbOnDebugLeaveScope();
	return 1;
}
static int _bb_database_core_strptime_inited = 0;
int _bb_database_core_strptime(){
	if (!_bb_database_core_strptime_inited) {
		_bb_database_core_strptime_inited = 1;
		__bb_brl_blitz_blitz();
		bbRegisterSource(0x8dee47ee81c49251, "c:/BMX/mod/database.mod/core.mod/strptime.bmx");
		struct BBDebugScope __scope = {
			BBDEBUGSCOPE_FUNCTION,
			"strptime",
			{
				{
					BBDEBUGDECL_END
				}
			}
		};
		bbOnDebugEnterScope((BBDebugScope *)&__scope);
		bbOnDebugLeaveScope();
		return 0;
	}
	return 0;
}